
/**
 * erstelle eine Figur Blume aus Basiselementen.
 * 
 */
public class Blume
{
    //deklariere Attribute vom Typ: Basiselement
    private Ellipse stempel;
    private Kreis blatt1, blatt2, blatt3, blatt4, blatt5;
    private Rechteck stengel;

    /**
     * Konstruktor für Objekte der Klasse Blume
     */
    public Blume()
    {
       stengel = new Rechteck(340, 485, 15, 200);
       blatt1 = new Kreis(250, 450, 40);
       blatt2 = new Kreis(310, 423, 40);
       blatt3 = new Kreis(365, 450, 40);
       blatt4 = new Kreis(340, 504, 40);
       blatt5 = new Kreis(275, 504, 40);
       stempel = new Ellipse(300, 470, 100, 75);
       
       stengel.setzeFarbe("gruen");
       stempel.setzeFarbe("gelb");
       blatt1.setzeFarbe("rot");
       blatt2.setzeFarbe("rot");
       blatt3.setzeFarbe("rot");
       blatt4.setzeFarbe("rot");
       blatt5.setzeFarbe("rot");
    }

    /**
    * Methoden
    */
   public void setzeFarbe(String farbe)
   {
       stengel.setzeFarbe("gruen");
       stempel.setzeFarbe("gelb");
       blatt1.setzeFarbe(farbe);
       blatt2.setzeFarbe(farbe);
       blatt3.setzeFarbe(farbe);
       blatt4.setzeFarbe(farbe);
       blatt5.setzeFarbe(farbe);
    }
    
    public void verändereHorizontalePosition(int entfernung)
    {
        stengel.horizontalBewegen(entfernung);
        stempel.horizontalBewegen(entfernung);
        blatt1.horizontalBewegen(entfernung);
        blatt2.horizontalBewegen(entfernung);
        blatt3.horizontalBewegen(entfernung);
        blatt4.horizontalBewegen(entfernung);
        blatt5.horizontalBewegen(entfernung);
    }
    
    public void verändereVertikalePosition(int entfernung)
    {
        stengel.vertikalBewegen(entfernung);
        stempel.vertikalBewegen(entfernung);
        blatt1.vertikalBewegen(entfernung);
        blatt2.vertikalBewegen(entfernung);
        blatt3.vertikalBewegen(entfernung);
        blatt4.vertikalBewegen(entfernung);
        blatt5.vertikalBewegen(entfernung);
    }
    
    public int gibXposition(){
        return stempel.gibXposition();
    }
    
     public int gibYposition(){
        return stempel.gibYposition();
    }

    
    public void zuklappen(){
        stempel.unsichtbarMachen();
        blatt1.unsichtbarMachen();
        blatt2.setzeRadius(60);
        blatt3.unsichtbarMachen();
        blatt4.unsichtbarMachen();
        blatt5.unsichtbarMachen();
        
    }
    
}
